DOVEADM-EXEC(1)

NAME
doveadm-exec - Easily execute commands from Dovecot's libexec directory.

SYNOPSIS

doveadm [GLOBAL OPTIONS] exec binary [binary arguments]

DESCRIPTION

This command allows administrators and local users to simply execute commands from within /usr/libexec/dovecot. So for example a logged in system user could start a pre-authenticated imap session, using the command: doveadm exec imap. An administrator would use the command doveadm exec imap -u username.

GLOBAL OPTIONS

Global doveadm(1) options:

-D

        Enables verbosity and debug messages.

-O

        Do not read any config file, just use defaults. The dovecot_storage_version setting defaults to the latest version, but can be overridden with -o.

-k

        Preserve entire environment for doveadm, not just import_environment setting.

-v

        Enables verbosity, including progress counter.

-i instance-name

        If using multiple Dovecot instances, choose the config file based on this instance name.

        See instance_name setting for more information.

-c config-file

        Read configuration from the given config-file. By default it first reads config socket, and then falls back to /etc/dovecot/dovecot.conf. You can also point this to config socket of some instance running compatible version.

-o setting=value

        Overrides the configuration setting from /etc/dovecot/dovecot.conf and from the userdb with the given value. In order to override multiple settings, the -o option may be specified multiple times.

ARGUMENTS

binary

        the name of an executable located in /usr/libexec/dovecot.

binary arguments

        options and arguments, which will be passed through to the binary.

EXAMPLE

This example demonstrates how to deliver a message from a file to a user's mailbox.

    doveadm exec dovecot-lda -d user@example.net -f admin@example.net < ~/stuff/welcome.msg

REPORTING BUGS

Report bugs, including doveconf -n output, to the Dovecot Mailing List ⟨dovecot@dovecot.org⟩. Information about reporting bugs is available at: ⟨https://dovecot.org/bugreport.html⟩

SEE ALSO

doveadm(1)